<?php
/**
 * The base configuration for WordPress
 *
 * This file contains all configuration options as documented at:
 *
 * @link https://codex.wordpress.org/Editing_wp-config.php
 *
 * Additionally this file may contain plugin and custom configuration options.
 *
 * @package WordPress
 */

/*
 * #############
 * # VARIABLES #
 * #############
 */
$site_url = '${site_url}';
$wp_url = "$site_url" . '/wp';

if ( defined( 'APP_ROOT' ) ) {
	$abs_path = APP_ROOT . '/public_html/wp/';
	$wp_content_dir = APP_ROOT . '/public_html/content';
	$wp_content_url = "$site_url" . '/content';
} else {
	$abs_path = __DIR__ . '/';
	$wp_content_dir = "$abs_path" . '/wp-content';
	$wp_content_url = "$site_url" . '/wp-content';
}

/*
 * ######################################
 * # BrewPixel Default WP-CONFIG v0.1.3 #
 * ######################################
 */

// ** MySQL settings - You can get this info from your web host ** //
/** The name of the database for WordPress */
define( 'DB_NAME', '${db_name}' );

/** MySQL database username */
define( 'DB_USER', '${db_user}' );

/** MySQL database password */
define( 'DB_PASSWORD', '${db_password}' );

/** MySQL hostname */
define( 'DB_HOST', '${db_host}' );

/** Database Charset to use in creating database tables. */
define( 'DB_CHARSET', 'utf8' );

/** The Database Collate type. Don't change this if in doubt. */
define( 'DB_COLLATE', '' );

/**#@+
 * Authentication Unique Keys and Salts.
 *
 * Change these to different unique phrases!
 * You can generate these using the {@link https://api.wordpress.org/secret-key/1.1/salt/ WordPress.org secret-key service}
 * You can change these at any point in time to invalidate all existing cookies. This will force all users to have to log in again.
 *
 * @since 2.6.0
 */
define( 'AUTH_KEY',         '${authkey}' );
define( 'SECURE_AUTH_KEY',  '${secureauthkey}' );
define( 'LOGGED_IN_KEY',    '${loggedinkey}' );
define( 'NONCE_KEY',        '${noncekey}' );
define( 'AUTH_SALT',        '${authsalt}' );
define( 'SECURE_AUTH_SALT', '${secureauthsalt}' );
define( 'LOGGED_IN_SALT',   '${loggedinsalt}' );
define( 'NONCE_SALT',       '${noncesalt}' );

/**#@-*/

/**
 * WordPress Database Table prefix.
 *
 * You can have multiple installations in one database if you give each
 * a unique prefix. Only numbers, letters, and underscores please!
 */
$table_prefix  = '${wp_table_prefix}';

/**
 * For developers: WordPress debugging mode.
 *
 * Change this to true to enable the display of notices during development.
 * It is strongly recommended that plugin and theme developers use WP_DEBUG
 * in their development environments.
 *
 * For information on other constants that can be used for debugging,
 * visit the Codex.
 *
 * @link https://codex.wordpress.org/Debugging_in_WordPress
 */
define( 'WP_DEBUG', true );

/* That's all, stop editing! Happy blogging. */

/* ADVANCED OPTIONS */

/**
 * Enable Multisite Network
 *
 * Enable this constant to convert your single site WordPress instance in to a Multisite Network.
 * If you are upgrading from WordPress MU you can skip this step as your network is already enabled.
 */
define( 'WP_ALLOW_MULTISITE', false );

/**
 * Redirect Nonexistent Blogs
 *
 * NOBLOGREDIRECT can be used to redirect the browser if the visitor tries to
 * access a nonexistent blog.
 */
// define( 'NOBLOGREDIRECT', 'http://example.com' );

/**
 * WordPress HOME
 *
 * WP_HOME is another wp-config.php option added in WordPress Version 2.2. Similar to WP_SITEURL,
 * WP_HOME overrides the wp_options table value for home but does not change it permanently. home
 * is the address you want people to type in their browser to reach your WordPress blog. It should
 * include the http:// part. Also, do not put a slash "/" at the end.
 */
define( 'WP_HOME', "$site_url" );

/**
 * WordPress Site URL
 *
 * WP_SITEURL, defined since WordPress Version 2.2, allows the WordPress address (URL)
 * to be defined. The valued defined is the address where your WordPress core files reside.
 * It should include the http:// part too. Do not put a slash "/" at the end. Setting this
 * value in wp-config.php overrides the wp_options table value for siteurl and disables the
 * WordPress address (URL) field in the Administration > Settings > General panel.
 */
define( 'WP_SITEURL', "$wp_url" );

/**
 * WordPress Content Dir
 * Since Version 2.6, you can move the wp-content directory, which holds your
 * themes, plugins, and uploads, outside of the WordPress application directory.
 *
 * Set WP_CONTENT_DIR to the full local path of this directory (no trailing slash), e.g.
 * Set WP_CONTENT_URL to the full URI of this directory (no trailing slash), e.g.
 */
define( 'WP_CONTENT_DIR', "$wp_content_dir" );
define( 'WP_CONTENT_URL', "$wp_content_url" );

/**
 * WordPress Plugin Dir
 *
 * Set WP_PLUGIN_DIR to the full local path of this directory (no trailing slash), e.g.
 * define( 'WP_PLUGIN_DIR', dirname(__FILE__) . '/blog/wp-content/plugins' );
 *
 * Set WP_PLUGIN_URL to the full URI of this directory (no trailing slash), e.g.
 * define( 'WP_PLUGIN_URL', 'http://example/blog/wp-content/plugins' );
 */
// define( 'WP_PLUGIN_DIR', $_SERVER['DOCUMENT_ROOT'] . '/blog/wp-content/plugins' );
// define( 'WP_PLUGIN_URL', 'http://example/blog/wp-content/plugins' );

// If you have compability issues with plugins Set PLUGINDIR to the full local path of this directory (no trailing slash), e.g.
// define( 'PLUGINDIR', $_SERVER['DOCUMENT_ROOT'] . '/blog/wp-content/plugins' );

/**
 * AutoSave Interval
 *
 * When editing a post, WordPress uses Ajax to auto-save revisions to the post
 * as you edit. You may want to increase this setting for longer delays in
 * between auto-saves, or decrease the setting to make sure you never lose
 * changes. The default is 60 seconds.
 */
// define( 'AUTOSAVE_INTERVAL', 160 ); // seconds

/**
 * Post Revisions
 *
 * WordPress, by default, will save copies of each edit made to a post or page,
 * allowing the possibility of reverting to a previous version of that post or
 * page. The saving of revisions can be disabled, or a maximum number of
 * revisions per post or page can be specified. Set this to a low number or
 * false to keep bloat out of the database and improve performance.
 *
 * Note: If this does not work then try moving the define to the first line
 * under the initial block comment in this file.
 */
// define( 'WP_POST_REVISIONS', 3 ); // Set to false to disable
define( 'WP_POST_REVISIONS', 3 );

/**
 * Cookie Domain
 *
 * The domain set in the cookies for WordPress can be specified for those with
 * unusual domain setups. One reason is if subdomains are used to serve static
 * content. To prevent WordPress cookies from being sent with each request to
 * static content on your subdomain you can set the cookie domain to your
 * non-static domain only.
 */
// define( 'COOKIE_DOMAIN', 'www.askapache.com' );

/**
 * JavaScript Debug
 *
 * If you are planning on modifying some of WordPress' built-in JavaScript or
 * Cascading Style Sheets, you should enable SCRIPT_DEBUG
 *
 * If set to true the uncompressed versions of scripts and stylesheets in
 * wp-includes/js, wp-includes/css, wp-admin/js, and wp-admin/css will be loaded
 * instead of the .min.css and .min.js versions.
 */
// define( 'SCRIPT_DEBUG', true );

/**
 * CONSTANTS Debugging
 *
 * View All Defined Constants
 * PHP has a function that returns an array of all the currently defined
 * constants with their values.
 */
// print_r( @get_defined_constants() );

/**
 * Admin Script Concatenation
 *
 * To result in a faster administration area, all Javascript files are
 * concatenated into one URL. If Javascript is failing to work in your
 * administration area, you can try disabling this feature.
 */
// define( 'CONCATENATE_SCRIPTS', false );

/**
 * Error Logging
 *
 * Configuring error logging can be a bit tricky. First of all, default PHP
 * error log and display settings are set in the php.ini file, which you may or
 * may not have access to. If you do, they should be set to the desired settings
 * for live PHP pages served to the public. It's strongly recommended that no
 * error messages are displayed to the public and instead routed to an error
 * log. Further more, error logs should not be located in the publicly
 * accessible portion of your server. Sample recommended php.ini error settings:
 *
 * error_reporting = 4339
 * display_errors = Off
 * display_startup_errors = Off
 * log_errors = On
 * error_log = /home/example.com/logs/php_error.log
 * log_errors_max_len = 1024
 * ignore_repeated_errors = On
 * ignore_repeated_source = Off
 * html_errors = Off
 *
 * Note: About Error Reporting 4339
 * Why 4439? This is a custom value that only logs issues that affect the
 * functioning of your site, and ignores things like notices that may not even
 * be errors. See PHP Error Constants for the meaning of each binary position
 * for 1000011110011, which is the binary number equal to 4339. The far left 1
 * means report any E_RECOVERABLE_ERROR. The next 0 means do not report E_STRICT,
 * (which is thrown when sloppy but functional coding is used) and so on. Feel
 * free to determine your own custom error reporting number to use in place of
 * 4339.
 *
 * Obviously, you will want different settings for your development environment.
 * If your staging copy is on the same server, or you don't have access to
 * php.ini, you will need to override the default settings at run time. It's a
 * matter of personal preference whether you prefer errors to go to a log file,
 * or you prefer to be notified immediately of any error, or perhaps both.
 * Here's an example that reports all errors immediately that you could insert
 * into your wp-config.php file:
 *
 * @ini_set( 'log_errors', 'Off' );
 * @ini_set( 'display_errors', 'On' );
 * define( 'WP_DEBUG', true );
 * define( 'WP_DEBUG_LOG', false );
 * define( 'WP_DEBUG_DISPLAY', true );
 *
 * Because the WordPress config is loaded for every page view not loaded from a
 * cache file, it is an excellent location to set php ini settings that control
 * your php installation. This is useful if you don't have access to a php.ini
 * file, or if you just want to change some settings on the fly.
 *
 * One exception is 'error_reporting'. When WP_DEBUG is defined as true,
 * 'error_reporting' will be set to E_ALL by WordPress regardless of anything
 * you try to set in wp-config.php. If you really have a need to set
 * 'error_reporting' to something else, it must be done after wp-settings.php is
 * loaded, such as in a plugin file.
 *
 * If you turn on error logging, remember to delete the file afterwards, as it
 * will often be in a publicly accessible location, where anyone could gain
 * access to your log.
 *
 * Here is an example that turns php error_logging on and logs them to a
 * specific file. If WP_DEBUG is defined to true, the errors will also be saved
 * to this file. Just place this above any require_once or include commands.
 *
 * @ini_set( 'log_errors', 'On' );
 * @ini_set( 'display_errors', 'Off' );
 * @ini_set( 'error_log', '/home/example.com/logs/php_error.log' );
 *
 * Another example of logging errors, as suggested by Mike Little on the
 * wp-hackers email list:
 *
 * This will log all errors notices and warnings to a file called debug.log in
 * wp-content (if Apache does not have write permission, you may need to create
 * the file first and set the appropriate permissions (i.e. use 666) )
 * define( 'WP_DEBUG', true );
 * define( 'WP_DEBUG_LOG', true );
 * define( 'WP_DEBUG_DISPLAY', false );
 * @ini_set( 'display_errors', 0 );
 *
 * A refined version from Mike Little on the Manchester WordPress User Group:
 *
 * This will log all errors notices and warnings to a file called debug.log in
 * wp-content only when WP_DEBUG is true. if Apache does not have write
 * permission, you may need to create the file first and set the appropriate
 * permissions (i.e. use 666).
 * define( 'WP_DEBUG', true ); // Or false
 * if ( WP_DEBUG ) {
 * define( 'WP_DEBUG_LOG', true );
 * define( 'WP_DEBUG_DISPLAY', false );
 * @ini_set( 'display_errors', 0 );
 * }
 *
 * Confusing the issue is that WordPress has 3 constants that look like they
 * could do the same thing. First off, remember that if WP_DEBUG is false, it
 * and the other two WordPress DEBUG constants do not do anything. The PHP
 * directives, whatever they are, will prevail. Except for 'error_reporting',
 * WordPress will set this to 4983 if WP_DEBUG is defined as false. Second, even
 * if WP_DEBUG is true, the other constants only do something if they too are
 * set to true. If they are set to false, the PHP directives remain unchanged.
 * For example, if your php.ini file has the directive display_errors = On, but
 * you have the statement define( 'WP_DEBUG_DISPLAY', false ); in your
 * wp-config.php file, errors will still be displayed on screen even though you
 * tried to prevent it by setting WP_DEBUG_DISPLAY to false because that is the
 * PHP configured behavior. This is why it's very important to set the PHP
 * directives to what you need in case any of the related WP constants are set
 * to false. To be safe, explicitly set/define both types. More detailed
 * descriptions of the WP constants is available at Debugging in WordPress.
 *
 * For your public, production WordPress installation, you might consider
 * placing the following in your wp-config.php file, even though it may be
 * partly redundant:
 *
 * @ini_set( 'log_errors', 'On' );
 * @ini_set( 'display_errors', 'Off' );
 * define( 'WP_DEBUG', false );
 * define( 'WP_DEBUG_LOG', false );
 * define( 'WP_DEBUG_DISPLAY', false );
 *
 * The default debug log file is /wp-content/debug.log. Placing error logs in
 * publicly accessible locations is a security risk. Ideally, your log files
 * should be placed above you site's public root directory. If you can't do
 * this, at the very least, set the log file permissions to 600 and add this
 * entry to the .htaccess file in the root directory of your WordPress
 * installation:
 *
 * <Files debug.log>
 * Order allow,deny
 * Deny from all
 * </Files>
 *
 * This prevents anyone from accessing the file via HTTP. You can always view
 * the log file by retrieving it from your server via FTP.
 */
// @ini_set('log_errors','On');
// @ini_set('display_errors','Off');
// @ini_set('error_log','/home/example.com/logs/php_error.log');

/**
 * Memory Allocation
 *
 * Also released with Version 2.5, the WP_MEMORY_LIMIT option allows you to
 * specify the maximum amount of memory that can be consumed by PHP. This
 * setting may be necessary in the event you receive a message
 * such as "Allowed memory size of xxxxxx bytes exhausted".
 *
 * This setting increases PHP Memory only for WordPress, not other applications.
 * By default, WordPress will attempt to increase memory allocated to PHP to
 * 40MB (code is at beginning of /wp-includes/default-constants.php) for single
 * site and 64MB for multisite, so the setting in wp-config.php should reflect
 * something higher than 40MB or 64MB depending on your setup.
 *
 * WordPress will automatically check if PHP has been allocated less memory than
 * the entered value before utilizing this function. For example, if PHP has
 * been allocated 64MB, there is no need to set this value to 64M as WordPress
 * will automatically use all 64MB if need be.
 *
 * Please note, this setting may not work if your host does not allow for
 * increasing the PHP memory limit--in that event, contact your host to increase
 * the PHP memory limit. Also, note that many hosts set the PHP limit at 8MB.
 */
// define( 'WP_MEMORY_LIMIT', '64M' );

/**
 * Administration tasks require much memory than usual operation. When in the
 * administration area, the memory can be increased or decreased from the
 * WP_MEMORY_LIMIT by defining WP_MAX_MEMORY_LIMIT.
 *
 * Note: This has to be put before wp-settings.php inclusion.
 */
define( 'WP_MAX_MEMORY_LIMIT', '256M' );

/**
 * Cache
 *
 * The WP_CACHE setting, if true, includes the wp-content/advanced-cache.php
 * script, when executing wp-settings.php.
 */
// define( 'WP_CACHE', true );

/**
 * Custom User and Usermeta Tables
 *
 * CUSTOM_USER_TABLE and CUSTOM_USER_META_TABLE are used to designated that the
 * user and usermeta tables normally utilized by WordPress are not used, instead
 * these values/tables are used to store your user information.
 *
 * Note that even when you set the 'CUSTOM_USER_META_TABLE', a usermeta table is
 * still created for each database with the corresponding permissions for each
 * instance. By default, the WordPress installer will add permissions for the
 * first user (ID #1). You also need to manage permissions to each of the site
 * via a plugin or custom function. If this isn't setup you'll experience
 * permission errors and log-in issues.
 *
 * When using CUSTOM_USER_TABLE during initial setup it is easiest to: Setup
 * your first instance of WordPress. The define statements of the wp-config.php
 * on the first instance pointing to where you currently store user data
 * wp_users by default, and then copying that working wp-config.php to your next
 * instance which will only require you to change the $table_prefix = variable.
 * At this point the install will run as expected; however, do not use an e-mail
 * address that is already in use by your original install. Use a different
 * e-mail address. Once you have finished the setup process log in with the auto
 * generated admin account and password. Then promote your normal account to the
 * administrator level. Log out of admin. Log in as yourself. Delete the admin
 * account and promote the other user accounts as is needed.
 */
// define( 'CUSTOM_USER_TABLE', $table_prefix.'my_users' );
// define( 'CUSTOM_USER_META_TABLE', $table_prefix.'my_usermeta' );

/**
 * Language Directory
 *
 * LANGDIR defines what directory the WPLANG .mo file resides. If LANGDIR is not
 * defined WordPress looks first to wp-content/languages or a languages
 * directory wherever you have set your custom content directory and then
 * wp-includes/languages for the .mo defined by WPLANG file.
 */
// define( 'LANGDIR', 'mylanguagedirectory' );

/**
 * Save queries for analysis
 *
 * The SAVEQUERIES definition saves the database queries to an array and that
 * array can be displayed to help analyze those queries. The information saves
 * each query, what function called it, and how long that query took to execute.
 *
 * NOTE: This will have a performance impact on your site, so make sure to turn
 * this off when you aren't debugging.
 *
 * Usage: <?php
 * if ( current_user_can( 'administrator' ) ) {
 * global $wpdb;
 * echo "<pre>";
 * print_r( $wpdb->queries );
 * echo "</pre>";
 * }
 * ?>
 *
 * @see http://codex.wordpress.org/Editing_wp-config.php#Save_queries_for_analysis
 */
// define( 'SAVEQUERIES', true );

/**
 * Override of default file permissions
 *
 * The FS_CHMOD_DIR and FS_CHMOD_FILE define statements allow override of
 * default file permissions. These two variables were developed in response to
 * the problem of the core update function failing with hosts (e.g. some
 * Italian hosts) running under suexec. If a host uses restrictive file
 * permissions (e.g. 400) for all user files, and refuses to access files which
 * have group or world permissions set, these definitions could solve the
 * problem. Note that the '0755' is an octal value and is not delineated with
 * single quotes ('). See Also: Changing File Permissions
 *
 * Example to provide setgid:
 * define( 'FS_CHMOD_DIR', ( 0755 & ~umask() ) );
 */
// define( 'FS_CHMOD_DIR', (0755 &amp; ~ umask()) );
// define( 'FS_CHMOD_FILE', (0644 &amp; ~ umask()) );

/**
 * WordPress UPGRADE/FTP CONSTANTS - It is generally not a good idea to define
 * these.
 *
 * If required you should define as few of the below constants needed to correct
 * your update issues as possible.
 */

/**
 * FTP/SSH Constants
 *
 * To enable SSH2 as an upgrade option you will need to install the pecl SSH2
 * extension.
 * These methods for the WordPress core, plugin, and theme upgrades try to
 * determine the WordPress path, as reported by PHP, but symlink trickery can
 * sometimes 'muck this up' so if you know the paths to the various folders on
 * the server, as seen via your FTP user, you can manually define them in the
 * wp-config.php file
 *
 * @see http://codex.wordpress.org/Editing_wp-config.php#FTP.2FSSH_Constants
 */

/**
 * Forces the filesystem method.
 *
 * It should only be "direct", "ssh2", "ftpext", or "ftpsockets".
 * Generally, you should only change this if you are experiencing update
 * problems. If you change it and it doesn't help, **change it back/remove it**.
 * Under most circumstances, setting it to 'ftpsockets' will work if the
 * automatically chosen method does not. Note that your selection here has
 * serious security implications. If you are not familiar with them, you should
 * seek help before making a change.
 *
 * - (Primary Preference) "direct" forces it to use Direct File I/O requests from within PHP. It is the option chosen by default.
 * - (Secondary Preference) "ssh2" is to force the usage of the SSH PHP Extension if installed
 * - (3rd Preference) "ftpext" is to force the usage of the FTP PHP Extension for FTP Access, and finally
 * - (4th Preference) "ftpsockets" utilises the PHP Sockets Class for FTP Access.
 */
// define( 'FS_METHOD', 'ftpext' );

/**
 * Set this to the full path to the "base"(ABSPATH) folder of the WordPress
 * installation.
 */
// define( 'FTP_BASE', '/path/to/wordpress/' );

/**
 * Set this to the full path to the wp-content folder of the WordPress
 * installation or the custom content directory folder.
 */
// define( 'FTP_CONTENT_DIR', '/path/to/wordpress/wp-content/' );

/**
 * Set this to the full path to the plugins folder of the WordPress installation
 */
// define( 'FTP_PLUGIN_DIR ', '/path/to/wordpress/wp-content/plugins/' );

/**
 * Set this to the full path to your SSH public key.
 */
// define( 'FTP_PUBKEY', '/home/username/.ssh/id_rsa.pub' );

/**
 * Set this to the full path to your SSH private key.
 */
// define( 'FTP_PRIKEY', '/home/username/.ssh/id_rsa' );

/**
 * Set this to either user FTP or SSH username. Most likely these are the same,
 * but use the appropriate one for the type of update you wish to do.
 */
// define( 'FTP_USER', 'username' );

/**
 * The password for the username entered for FTP_USER.
 * If you are using SSH public key authentication this can be omitted.
 */
// define( 'FTP_PASS', 'password' );

/**
 * The hostname:port combination for your SSH/FTP server. The default FTP port
 * is 21 and the default SSH port is 22. These do not need to be mentioned.
 *
 * Note: Some configurations should set FTP_HOST to localhost to avoid
 * 503 problems when trying to update plugins or WP itself.
 */
// define( 'FTP_HOST', 'ftp.example.org:21' );

/**
 * TRUE for SSL-connection if supported by the underlying transport
 * (not available on all servers). This is for "Secure FTP" not for SSH SFTP.
 */
// define( 'FTP_SSL', false );

/**
 * Alternative Cron
 * Use this, for example, if scheduled posts are not getting published.
 * According to Otto's forum explanation, "this alternate method uses a
 * redirection approach, which makes the user's browser get a redirect when the
 * cron needs to run, so that they come back to the site immediately while cron
 * continues to run in the connection they just dropped. This method is a bit
 * iffy sometimes, which is why it's not the default."
 */
// define( 'ALTERNATE_WP_CRON', true );

/**
 * Disable the cron entirely by setting DISABLE_WP_CRON to true.
 */
// define( 'DISABLE_WP_CRON', true );

/**
 * Make sure a cron process cannot run more than once every WP_CRON_LOCK_TIMEOUT
 * seconds.
 */
// define( 'WP_CRON_LOCK_TIMEOUT', 60 );

/**
 * Additional Defined Constants
 * Here are additional constants that can be defined, but probably should not be.
 * The Cookie definitions are particularly useful if you have an unusual domain
 * setup.
 */
// define( 'COOKIEPATH', preg_replace( '|https?://[^/]+|i', '', get_option( 'home' ) . '/' ) );
// define( 'SITECOOKIEPATH', preg_replace( '|https?://[^/]+|i', '', get_option( 'siteurl' ) . '/' ) );
// define( 'ADMIN_COOKIE_PATH', SITECOOKIEPATH . 'wp-admin' );
// define( 'PLUGINS_COOKIE_PATH', preg_replace( '|https?://[^/]+|i', '', WP_PLUGIN_URL ) );
// define( 'TEMPLATEPATH', get_template_directory() );
// define( 'STYLESHEETPATH', get_stylesheet_directory() );

/**
 * Empty Trash
 *
 * Added with Version 2.9, this constant controls the number of days before
 * WordPress permanently deletes posts, pages, attachments, and comments, from
 * the trash bin. The default is 30 days.
 *
 * Note: To disable trash set the number of days to zero. Note that WordPress
 * will not ask for confirmation when someone clicks on "Delete Permanently".
 * define( 'EMPTY_TRASH_DAYS', 0 ); // Zero days
 */
// define( 'EMPTY_TRASH_DAYS', 30 ); // 30 days

/**
 * Automatic Database Optimizing
 *
 * Automatic database optimization support, which you can enable by adding the
 * following define to your wp-config.php file only when the feature is required
 *
 * The script can be found at {$your_site}/wp-admin/maint/repair.php
 * Note: That this define enables the functionality, The user does not need to
 * be logged in to access this functionality when this define is set. This is
 * because its main intent is to repair a corrupted database, Users can often
 * not login when the database is corrupt.
 */
// define( 'WP_ALLOW_REPAIR', true );

/**
 * Do not upgrade global tables
 *
 * A DO_NOT_UPGRADE_GLOBAL_TABLES define prevents dbDelta() and the upgrade
 * functions from doing expensive queries against global tables.
 * Sites that have large global tables (particularly users and usermeta), as
 * well as sites that share user tables with bbPress and other WordPress
 * installs, can prevent the upgrade from changing those tables during upgrade
 * by defining DO_NOT_UPGRADE_GLOBAL_TABLES. Since an ALTER, or an unbounded
 * DELETE or UPDATE, can take a long time to complete, large sites usually want
 * to avoid these being run as part of the upgrade so they can handle it
 * themselves. Further, if installations are sharing user tables between
 * multiple bbPress and WordPress installs it maybe necessary to want one site
 * to be the upgrade master.
 */
// define( 'DO_NOT_UPGRADE_GLOBAL_TABLES', true );

/**
 * Disable the Plugin and Theme Editor
 *
 * Occasionally you may wish to disable the plugin or theme editor to prevent
 * overzealous users from being able to edit sensitive files and potentially
 * crash the site. Disabling these also provides an additional layer of security
 * if a hacker gains access to a well-privileged user account.
 *
 * Note: the functionality of some plugins may be affected by the use of
 * current_user_can('edit_plugins') in their code. Plugin authors should avoid
 * checking for this capability, or at least check if this constant is set and
 * display an appropriate error message. Be aware that if a plugin is not
 * working this may be the cause.
 */
define( 'DISALLOW_FILE_EDIT', true );

/**
 * Disable WordPress Auto Updates
 *
 * Disable all automatic updates
 */
// define( 'AUTOMATIC_UPDATER_DISABLED', true );

/**
 * Disable WordPress Core Updates
 *
 * The easiest way to manipulate core updates is with the WP_AUTO_UPDATE_CORE
 * constant:
 *
 *  # Disable all core updates:
 * define( 'WP_AUTO_UPDATE_CORE', false );
 *
 * # Enable all core updates, including minor and major:
 * define( 'WP_AUTO_UPDATE_CORE', true );
 *
 * # Enable core updates for minor releases (default):
 * define( 'WP_AUTO_UPDATE_CORE', 'minor' );
 */
define( 'WP_AUTO_UPDATE_CORE', false );

/**
 * Disable Plugin and Theme Update and Installation
 *
 * This will block users being able to use the plugin and theme
 * installation/update functionality from the WordPress admin area. Setting this
 * constant also disables the Plugin and Theme editor (i.e. you don't need to
 * set DISALLOW_FILE_MODS and DISALLOW_FILE_EDIT, as on its own
 * DISALLOW_FILE_MODS will have the same effect).
 *
 * Truly disable all updates via WP admin UI , DISALLOW_FILE_MODS implicitly
 * includes AUTOMATIC_UPDATER_DISABLED and DISALLOW_FILE_EDIT, plus it hides the
 * update notifications in the admin bar and the "Updates" sub-menu in the
 * "Dashboard" admin menu, and it also hides "Update Available" messages in
 * "Appearance -> Themes" and "Plugins -> Installed Plugins".
 */
define( 'DISALLOW_FILE_MODS', true );

/**
 * Require SSL for Admin and Logins
 *
 * FORCE_SSL_ADMIN is for when you want to secure logins and the admin area so
 * that both passwords and cookies are never sent in the clear.
 * See also Administration_Over_SSL for more details.
 *
 * Note: WordPress Version 4.0 deprecated FORCE_SSL_LOGIN.
 * Please use FORCE_SSL_ADMIN.
 */
// define( 'FORCE_SSL_ADMIN', true );

/**
 * Block External URL Requests
 *
 * Block external URL requests by defining WP_HTTP_BLOCK_EXTERNAL as true and
 * this will only allow localhost and your blog to make requests. The constant
 * WP_ACCESSIBLE_HOSTS will allow additional hosts to go through for requests.
 * The format of the WP_ACCESSIBLE_HOSTS constant is a comma separated list of
 * hostnames to allow, wildcard domains are supported, eg *.wordpress.org will
 * allow for all subdomains of wordpress.org to be contacted.
 */
// define( 'WP_HTTP_BLOCK_EXTERNAL', true );
// define( 'WP_ACCESSIBLE_HOSTS', 'api.wordpress.org,*.github.com' );

/**
 * Cleanup Image Edits
 *
 * By default, WordPress creates a new set of images every time you edit an
 * image and when you restore the original, it leaves all the edits on the
 * server. Defining IMAGE_EDIT_OVERWRITE as true changes this behaviour. Only
 * one set of image edits are ever created and when you restore the original,
 * the edits are removed from the server.
 */
// define( 'IMAGE_EDIT_OVERWRITE', true );

/** Absolute path to the WordPress directory. */
if ( ! defined( 'ABSPATH' ) ) {
	define( 'ABSPATH', "$abs_path" );
}

/** Sets up WordPress vars and included files. */
//require_once ABSPATH . 'wp-settings.php';
//PHP Notice:  Constant WPINC already defined in /srv/www/pcginvest.co.uk/www/public_html/wp/wp-settings.php on line 16
//Notice: Constant WPINC already defined in /srv/www/pcginvest.co.uk/www/public_html/wp/wp-settings.php on line 16
//PHP Fatal error:  Cannot redeclare wp_get_server_protocol() (previously declared in /srv/www/pcginvest.co.uk/www/public_html/wp/wp-includes/load.php:16) in /srv/www/pcginvest.co.uk/www/public_html/wp/wp-includes/load.php on line 21
//Fatal error: Cannot redeclare wp_get_server_protocol() (previously declared in /srv/www/pcginvest.co.uk/www/public_html/wp/wp-includes/load.php:16) in /srv/www/pcginvest.co.uk/www/public_html/wp/wp-includes/load.php on line 21

/**
 * PLUGIN CONSTANTS
 */
// define( 'JETPACK_DEV_DEBUG', true );

//define( 'SUCURI_DATA_STORAGE', '/srv/www/example.com/www/logs/sucuri' );

/*
 * #####################################
 * # END - BrewPixel Default WP-CONFIG #
 * #####################################
 */
